
int windowW = 1400;
int windowH = 900;
int guiH = 150; // height of GUI strip

int rIncrease = 200; //amount by which radius increases each step
int rCurrent = 0; //current radius
int rNext = rCurrent + rIncrease;
float zStep = 0.3; //amount by which z increases for every 1/360

float xyAxisLength = 4.85*rIncrease;
float zAxisLength = zStep*8*360;
float rYearDisk = 0.4*rIncrease; //radius of year disk labels in center

GCustomSlider sdr1;
GCheckbox cbxTypeBk;
GCheckbox cbxTypeCd;
GCheckbox cbxTypeDvd;
GCheckbox cbxTypeKit;
GCheckbox cbxTypeOther;
GCheckbox cbxLocCentral;
GCheckbox cbxLocOther;

boolean[] toHighlight = new boolean[7]; //used with filter to store status of checkboxes; initialize here so all false at startup
color plainColor;
color currentColor;

PeasyCam cam;

Table data;
String filepath = new String("data/DAYS360_3_or_more.csv");
int rowsToDraw = 100; 

PFont f72;
PFont f26;
PFont h14;
PFont h16;
PFont h72;
PFont h26;

String[] months = {"JAN", "FEB", "MAR", "APR", "MAY", "JUN", "JUL", "AUG", "SEP", "OCT", "NOV", "DEC"};
String description1 = new String("This polar graph tracks the bar code history of individual items in the SPL's");
String description2 = new String("collection. All items start in the center and 'jump' outward as they acquire a new");
String description3 = new String("bar code. The items' trajectories spiral upward, representing years 2006 - 2013."); 
